// ************************************************
// константы
// ************************************************

#ifndef defines_h
#define defines_h

//// commands
#define SET_MODE 10
#define COMMAND_BUTTONS 11
#define SPEED_BUTTONS 12
#define ORIENT_PITCH 13
#define ORIENT_PITCH_M 14
#define ORIENT_ROLL 15
#define ORIENT_ROLL_M 16

//// Modes
#define STOP_MODE 0
#define BUTTON_MODE 1
#define ORIENT_MODE 2
#define TRACKING_MODE 3

//// Buttons
#define B_LEFT_FORWARD 1
#define B_FORWARD 2
#define B_RIGHT_FORWARD 3
#define B_RIGHT 4
#define B_RIGHT_BACKWARD 5
#define B_BACKWARD 6
#define B_LEFT_BACKWARD 7
#define B_LEFT 8
#define B_STOP 9

////  MOTORS pins
#define MOTOR_LEFT1 4
#define MOTOR_LEFT2 5
#define MOTOR_LEFTPWM 6
#define MOTOR_RIGHT1 7
#define MOTOR_RIGHT2 8
#define MOTOR_RIGHTPWM 9

// Bluetooth pins
#define HC05_RX 3
#define HC05_TX 2

// скорость изменения данных скорости
#define MILLIS_M 50
// инкремент скорости при оворотах
#define D_SPEED 20

char valstring[6][4]={"+  ","-  ","+- ","-+ ","no ","yes"};
int kdirs[4]={1,-1,1,-1};

#endif

